Page Summary
-
This document describes how to list partners accessible to the current user using an HTTP GET request.
-
The HTTP request uses query parameters like
pageSize,pageToken,orderBy, andfilterto control the returned list. -
The request body must be empty, and the response body contains a list of partners and a token for the next page of results.
-
The API call requires authorization using the
https://www.googleapis.com/auth/display-videoOAuth scope.
Lists partners that are accessible to the current user.
The order is defined by the orderBy parameter.
HTTP request
GET https://displayvideo.googleapis.com/v1beta2/partners
The URL uses gRPC Transcoding syntax.
Query parameters
| Parameters | |
|---|---|
pageSize |
Requested page size. Must be between |
pageToken |
A token identifying a page of results the server should return. Typically, this is the value of |
orderBy |
Field by which to sort the list. Acceptable values are:
The default sorting order is ascending. To specify descending order for a field, a suffix "desc" should be added to the field name. For example, |
filter |
Allows filtering by partner properties. Supported syntax:
Examples:
The length of this field should be no more than 500 characters. |
Request body
The request body must be empty.
Response body
If successful, the response body contains data with the following structure:
| JSON representation |
|---|
{
"partners": [
{
object ( |
| Fields | |
|---|---|
partners[] |
The list of partners. This list will be absent if empty. |
nextPageToken |
A token to retrieve the next page of results. Pass this value in the |
Authorization Scopes
Requires the following OAuth scope:
https://www.googleapis.com/auth/display-video
For more information, see the OAuth 2.0 Overview.